package com.ynet.life.platform.tranSwitch.limit;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.platform.base.PlatformConstants;
import com.ynet.life.platform.tranSwitch.limit.a;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;

public class CBLimitBsnTranDaySum implements a {

   private static String a = "UPDATE CB_LIMIT_BSN SET LIB_DAYSUM = LIB_DAYSUM - ? ";
   private static String b = " WHERE LIB_BANKID = ? AND LIB_CHANNEL = ? AND LIB_CRYTYPE = ? AND LIB_CSTNO = ? AND LIB_BSNCODE = ?";


   public final void a(Context bsn, Connection connection) throws GENEException {
      String payAmount = (String)bsn.getDataValue("payAmount");
      String bankId = (String)bsn.getDataValue(PlatformConstants.FIELD_BANK_ID);
      String channel = (String)bsn.getDataValue(PlatformConstants.FIELD_CHANNEL);
      String currencyType = (String)bsn.getDataValue("currencyType");
      String cstNo = (String)bsn.getDataValue(PlatformConstants.FIELD_CST_NO);
      String bsn1 = (String)bsn.getDataValue("bsnCode");
      ArrayList inputList;
      (inputList = new ArrayList()).add(payAmount);
      inputList.add(bankId);
      inputList.add(channel);
      inputList.add(currencyType);
      inputList.add(cstNo);
      inputList.add(bsn1);
      LifeDBAccess.executeSQLUpdate(connection, a + b, inputList);
   }

   public static void main(String[] connection) {
      Connection connection1 = null;

      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
         String dsl = "jdbc:oracle:thin:@192.168.12.45:1521:orcl";
         String userName = "life";
         String password = "life";
         connection1 = DriverManager.getConnection(dsl, userName, password);
      } catch (Exception var13) {
         var13.printStackTrace();
      }

      CBLimitBsnTranDaySum dsl1 = new CBLimitBsnTranDaySum();

      try {
         dsl1.a((Context)null, connection1);
         connection1.commit();
         return;
      } catch (GENEException var14) {
         var14.printStackTrace();
         return;
      } catch (SQLException var15) {
         var15.printStackTrace();
      } finally {
         if(connection1 != null) {
            try {
               connection1.close();
            } catch (SQLException var12) {
               var12.printStackTrace();
            }
         }

      }

   }
}
